> ## Documentation Index
> Fetch the complete documentation index at: https://docs.praison.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check API

> Check the health status of the async jobs server

Check the health status of the async jobs server.

## Response

<ResponseField name="status" type="string" required>
  Server health status. Returns `healthy` when the server is operational.
</ResponseField>

<RequestExample>
  ```bash cURL theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
  curl http://127.0.0.1:8005/health
  ```

  ```python Python theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
  import httpx

  response = httpx.get("http://127.0.0.1:8005/health")

  if response.status_code == 200:
      health = response.json()
      print(f"Server status: {health['status']}")
  else:
      print("Server is not responding")
  ```

  ```bash CLI theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
  curl http://127.0.0.1:8005/health
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
  {
    "status": "healthy"
  }
  ```
</ResponseExample>

## Usage

Use this endpoint for:

* Load balancer health checks
* Kubernetes liveness/readiness probes
* Monitoring and alerting systems

## Kubernetes Example

```yaml theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
apiVersion: v1
kind: Pod
spec:
  containers:
  - name: async-jobs
    image: praisonai/jobs-server
    livenessProbe:
      httpGet:
        path: /health
        port: 8005
      initialDelaySeconds: 10
      periodSeconds: 30
    readinessProbe:
      httpGet:
        path: /health
        port: 8005
      initialDelaySeconds: 5
      periodSeconds: 10
```

## See Also

* [Stats API](/docs/api/praisonai/async-jobs/stats)
* [Async Jobs Overview](/docs/api/praisonai/async-jobs)
